* {
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;
  width: 100%;
  height: 100%;
  margin: 0px;
}


/*--------------------------------------------------*/
/*Header                                            */
/*--------------------------------------------------*/

.header {
  width: 100%;
  min-height: 60px;
  height: 60px;
  box-shadow: 0px 10px 8px #C0C0C0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  row-gap: 20px;
}

.header-title {
  color: #ffffff;
  font-size: 30px;
  font-weight: bold;
  font-family: 'Courier New', monospace;
  margin: 0px 10px;
}

.social-media-container {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 30px;
  margin: 0px 10px;
  
}

.social-media-container a {
  color: #fff;
  text-decoration: none;
  font-size: 28px;
  text-shadow: 0px 15px 20px #C0C0C0;
}

.social-media-container a:hover {
  color: #ddd1ec;
}


/*--------------------------------------------------*/
/*Page Layout                                       */
/*--------------------------------------------------*/

.page-layout {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  row-gap: 20px;
  width: 100%;
  position: absolute;
  column-gap: 20px;
  justify-content: center;
  align-items: stretch;
  padding: 20px 10px 15px 10px;
}

.product-container {
  background-color: #ffffff;
  box-shadow: 0px 1px 10px #C0C0C0;
  z-index: 1;
  width: 470px;
  padding: 20px;
  overflow-x: hidden;
  overflow-y: auto;
  scrollbar-width: thin;
  scrollbar-color: #69b1b0 #cdcdcd;
  border-radius: 8px;
  transition: opacity 0.5s ease-out; /* Smooth fade effect */
  opacity: 1;
  max-height: 800px;
  display: flex;
  flex-direction: column;
  min-width: 250px;
}


/*--------------------------------------------------*/
/*Search Input                                      */
/*--------------------------------------------------*/

.search-input-container {
  width: 100%;
  margin-top: 20px;
  min-height: 48px;
  max-height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px 10px;

}
.search-input {
  font-family: "arial";
  border: 2px solid #69b1b04a;
  border-radius: 8px 0px 0px 8px;
  width: 100%;
  color: #000;
  font-size: 12px;
  line-height: 1.2;
  padding: 0 40px 0 16px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  height: 48px;
}

.search-input:focus {
  outline: none;
  border-color: #ddd1ec !important; 
  transition: border-color .15s ease  
}

.search-initiate-button {
  height: 48px;
  width: 100px;
  background-color: #69b1b0;
  color: #fff;
  border-radius: 0px 8px 8px 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 24px;
  cursor: pointer;
}

.search-initiate-button:hover {
  background-color: #ddd1ec;
}


/*--------------------------------------------------*/
/*Product Layout                                    */
/*--------------------------------------------------*/

.product-title {
  font-size: 22px;
  margin-top: 10px;
  font-weight: bold;
  font-family: 'arial';
  color: rgb(0, 0, 0);
  text-align: left;
  margin-bottom: 0px;
}


p {
  line-height: 1.8;
  color: #212529;
  font-size: 12px;
  font-family: 'arial';
  text-align: justify;
  margin-top: 12px;
  margin-bottom: 0px;
}

.separator {
  margin-left: 0px;
  margin-right: 0px;
  margin-bottom: 22px;
  margin-top: 22px;
  border-bottom: 1px solid #d99ec94f;
  width: 100%;
}

.separator-or-text {
  font-size: 12px;
  font-weight: bold;
  padding-left: 10px;
  padding-right: 10px;
}
.separator-or-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;

}

.separator-diamond {
  color: #69b1b0;
  font-size: 16px;
  text-align: center;
  width: 100%;
  line-height: 1.5;
}

.child-at-bottom  {
  margin-top: auto;
}

.buy-now {
  background-color: rgb(255, 255, 255);
  color: black;
  border: 2px solid #69b1b04a;
  cursor: pointer;
  font-size: 12px;
  width: 100%;
  border-radius: 8px;
  min-height: 48px;
  display: flex;
  justify-content: center;
  align-items: center; 
  margin-top: 10px;
  font-weight: bold;
  text-decoration: none;
}

.buy-now:hover {
  border-color: #ddd1ec;
}

/*--------------------------------------------------*/
/*Image Slider                                      */
/*--------------------------------------------------*/

.slider-container {
  margin-bottom: 10px;
  min-height: 350px;
  display: flex;
  justify-content: center;
  align-items: center;  
}

.slide {
  position: relative;
  width: 100%;
  object-fit: contain;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
  max-height: 350px;
  display: none;
}

.active {
  opacity: 1;
  display: block;
}

.slider-navigation-container {
  display: flex;
  row-gap: 20px;
  column-gap: 20px;
  justify-content: space-between;
  margin-bottom: 10px;
}

.nav-button {
  background-color: rgb(255, 255, 255);
  color: black;
  border: 2px solid #69b1b04a;
  cursor: pointer;
  font-size: 12px;
  width: 100%;
  border-radius: 8px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-button:hover {
  border-color: #ddd1ec;
}

#prev {
  left: 10px;
}

#next {
  right: 10px;
}


/*--------------------------------------------------*/
/*Dynamic Settings                                  */
/*--------------------------------------------------*/

@media (max-width: 600px) {

  .header {
   flex-direction: column;
   height: auto;
   padding-bottom: 20px;
  }

}


@media (max-width: 510px) {

  .product-container {
    padding: 10px 5px 10px 5px;
  }

}

@media (max-width: 360px) {

  .social-media-container a {
   font-size: 20px;
  }

}


@media (max-width: 310px) {

  .social-media-container a {
   font-size: 16px;
  }

}

